quicksync support for sandy bridge

quicksync support for sandy bridge

I'm curious if it's possible to get hw quicksync encoding on a sandy bridge chip (i7 2860QM) using the latest version of the SDK.  When I run sys_analzer.exe it shows I only have hw support for the SDK up through version 1.4 even with the newest drivers installed.  If it's not possible with this version of the SDK, is it possible to gain access to 1.4?

4 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.

Hi Christopher,

I suspect the confusion is related to the fact that Media SDK release package (e.g. 2013 R2) is not synonymous with Media SDK API revision (e.g. 1.4).

Encode and decode HW acceleration via Media SDK is certainly supported on 2nd generation Core Processors (aka. Sandy Bridge) using recent Media SDK release such as 2013 R2.

The Media SDK API revision 1.4 is the highest supported revision for 15.28 graphics driver branch, which is driver to be used for 2nd generation Core Processors. As long as you are not trying to use Media SDK API features greater than 1.4 then you are ok. Please refer to the reference manual for details on what features are supported for what API revision.

Regards,
Petter 

Can you point me to the documentation related to the 1.4 API Revision in regards to the current SDK release?

It's part of the SDK package. "mediasdk-man.pdf"

Login to leave a comment.